package com.steering.Demand.entity;

/**
 * Created by 朱少波 on 2020/4/17.
 */

/**
 * 数据库表TMS_PLN_M所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-04-17
 */
@SuppressWarnings("serial")
public class TmsPlnMEntity implements java.io.Serializable {
    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     */
    private String plnNo = "";
    /**
     * 运输计划描述
     */
    private String plnDesc = "";
    /**
     * 紧急程度类型
     */
    private String urgencyTypeCode = "";
    /**
     * 紧急程度描述
     */
    private String urgencyTypeDesc = "";
    /**
     * 运输区分代码(下线/投料/离线)A01030
     */
    private String tranClassCode = "";
    /**
     * 运输区分
     */
    private String tranClassDesc = "";
    /**
     * 费用区分代码(计重/计时/合同/包月/包日)A01028
     */
    private String costTypeCode = "";
    /**
     * 费用区分
     */
    private String costTypeDesc = "";
    /**
     * 需求单位代码(同步产销系统-机组/机构)TMS_COM_CONSIGNOR--托运人
     */
    private String demandOrgCode = "";
    /**
     * 需求单位
     */
    private String demandOrgDesc = "";
    /**
     * 线路编号
     */
    private String lineCode = "";
    /**
     * 线路描述
     */
    private String lineDesc = "";
    /**
     * 运输起点代码
     */
    private String startNodeCode = "";
    /**
     * 起点描述
     */
    private String startNodeDesc = "";
    /**
     * 运输终点代码
     */
    private String endNodeCode = "";
    /**
     * 终点描述
     */
    private String endNodeDesc = "";
    /**
     * 起点区域代码
     */
    private String startAreaCode = "";
    /**
     * 起点区域描述
     */
    private String startAreaDesc = "";
    /**
     * 终点区域
     */
    private String endAreaDesc = "";
    /**
     * 终点区域代码
     */
    private String endAreaCode = "";
    /**
     * 起运启时间
     */
    private String transportStartTime = "";
    /**
     * 起运至时间
     */
    private String transportEndTime = "";
    /**
     * 车辆用途(生产用车/临时用车)A01031
     */
    private String carUseCode = "";
    /**
     * 车辆用途
     */
    private String carUseDesc = "";
    /**
     * 车型代码(拖车、挂车、吊车)A01017
     */
    private String carTypeCode = "";
    /**
     * 车型
     */
    private String carTypeDesc = "";
    /**
     * 承运人代码
     */
    private String carrierCode = "";
    /**
     * 承运人名称
     */
    private String carrierName = "";
    /**
     * 车牌号
     */
    private String carLicense = "";
    /**
     * 车辆分派时间
     */
    private String carAssignTime = "";
    /**
     * 司机代码
     */
    private String driverCode = "";
    /**
     * 司机接单时间
     */
    private String receivingTime = "";
    /**
     * 是否过磅(0否/1是)
     */
    private String weighingIf = "";
    /**
     * 数据来源标记(0人工1系统)
     */
    private String sourceSign = "";
    /**
     * 数据状态(00无效10待调度20待运输30运输中40已结束50关闭)--运输计划生成10/车辆指派时20/司机接单30同时生成运单/所有计划执行完毕40/人工关闭50
     */
    private String validflag = "";
    /**
     * 审批状态(00待审10审中20通过30退回40拒绝)
     */
    private String status = "";
    /**
     * 会计年月(YYYYMM)
     */
    private String accountYearMonth = "";
    /**
     * 归档标志(1归档、0未归档)
     */
    private String archiveFlag = "";
    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     */
    private String archiveNo = "";
    /**
     * 归档日期(YYYYMMDD)
     */
    private String archiveDate = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人ID
     */
    private String createUserid = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人ID
     */
    private String updateUserid = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 废除人ID
     */
    private String deleteUserid = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";
    /**
     * 计费数量
     */
    private String costCount = "";

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @return value
     */
    public String getPlnNo() {
        return plnNo;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @param plnNo value
     */
    public void setPlnNo(String plnNo) {
        this.plnNo = plnNo;
    }

    /**
     * 运输计划描述
     * @return value
     */
    public String getPlnDesc() {
        return plnDesc;
    }

    /**
     * 运输计划描述
     * @param plnDesc value
     */
    public void setPlnDesc(String plnDesc) {
        this.plnDesc = plnDesc;
    }

    /**
     * 紧急程度类型
     * @return value
     */
    public String getUrgencyTypeCode() {
        return urgencyTypeCode;
    }

    /**
     * 紧急程度类型
     * @param urgencyTypeCode value
     */
    public void setUrgencyTypeCode(String urgencyTypeCode) {
        this.urgencyTypeCode = urgencyTypeCode;
    }

    /**
     * 紧急程度描述
     * @return value
     */
    public String getUrgencyTypeDesc() {
        return urgencyTypeDesc;
    }

    /**
     * 紧急程度描述
     * @param urgencyTypeDesc value
     */
    public void setUrgencyTypeDesc(String urgencyTypeDesc) {
        this.urgencyTypeDesc = urgencyTypeDesc;
    }

    /**
     * 运输区分代码(下线/投料/离线)A01030
     * @return value
     */
    public String getTranClassCode() {
        return tranClassCode;
    }

    /**
     * 运输区分代码(下线/投料/离线)A01030
     * @param tranClassCode value
     */
    public void setTranClassCode(String tranClassCode) {
        this.tranClassCode = tranClassCode;
    }

    /**
     * 运输区分
     * @return value
     */
    public String getTranClassDesc() {
        return tranClassDesc;
    }

    /**
     * 运输区分
     * @param tranClassDesc value
     */
    public void setTranClassDesc(String tranClassDesc) {
        this.tranClassDesc = tranClassDesc;
    }

    /**
     * 费用区分代码(计重/计时/合同/包月/包日)A01028
     * @return value
     */
    public String getCostTypeCode() {
        return costTypeCode;
    }

    /**
     * 费用区分代码(计重/计时/合同/包月/包日)A01028
     * @param costTypeCode value
     */
    public void setCostTypeCode(String costTypeCode) {
        this.costTypeCode = costTypeCode;
    }

    /**
     * 费用区分
     * @return value
     */
    public String getCostTypeDesc() {
        return costTypeDesc;
    }

    /**
     * 费用区分
     * @param costTypeDesc value
     */
    public void setCostTypeDesc(String costTypeDesc) {
        this.costTypeDesc = costTypeDesc;
    }

    /**
     * 需求单位代码(同步产销系统-机组/机构)TMS_COM_CONSIGNOR--托运人
     * @return value
     */
    public String getDemandOrgCode() {
        return demandOrgCode;
    }

    /**
     * 需求单位代码(同步产销系统-机组/机构)TMS_COM_CONSIGNOR--托运人
     * @param demandOrgCode value
     */
    public void setDemandOrgCode(String demandOrgCode) {
        this.demandOrgCode = demandOrgCode;
    }

    /**
     * 需求单位
     * @return value
     */
    public String getDemandOrgDesc() {
        return demandOrgDesc;
    }

    /**
     * 需求单位
     * @param demandOrgDesc value
     */
    public void setDemandOrgDesc(String demandOrgDesc) {
        this.demandOrgDesc = demandOrgDesc;
    }

    /**
     * 线路编号
     * @return value
     */
    public String getLineCode() {
        return lineCode;
    }

    /**
     * 线路编号
     * @param lineCode value
     */
    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    /**
     * 线路描述
     * @return value
     */
    public String getLineDesc() {
        return lineDesc;
    }

    /**
     * 线路描述
     * @param lineDesc value
     */
    public void setLineDesc(String lineDesc) {
        this.lineDesc = lineDesc;
    }

    /**
     * 运输起点代码
     * @return value
     */
    public String getStartNodeCode() {
        return startNodeCode;
    }

    /**
     * 运输起点代码
     * @param startNodeCode value
     */
    public void setStartNodeCode(String startNodeCode) {
        this.startNodeCode = startNodeCode;
    }

    /**
     * 起点描述
     * @return value
     */
    public String getStartNodeDesc() {
        return startNodeDesc;
    }

    /**
     * 起点描述
     * @param startNodeDesc value
     */
    public void setStartNodeDesc(String startNodeDesc) {
        this.startNodeDesc = startNodeDesc;
    }

    /**
     * 运输终点代码
     * @return value
     */
    public String getEndNodeCode() {
        return endNodeCode;
    }

    /**
     * 运输终点代码
     * @param endNodeCode value
     */
    public void setEndNodeCode(String endNodeCode) {
        this.endNodeCode = endNodeCode;
    }

    /**
     * 终点描述
     * @return value
     */
    public String getEndNodeDesc() {
        return endNodeDesc;
    }

    /**
     * 终点描述
     * @param endNodeDesc value
     */
    public void setEndNodeDesc(String endNodeDesc) {
        this.endNodeDesc = endNodeDesc;
    }

    /**
     * 起点区域代码
     * @return value
     */
    public String getStartAreaCode() {
        return startAreaCode;
    }

    /**
     * 起点区域代码
     * @param startAreaCode value
     */
    public void setStartAreaCode(String startAreaCode) {
        this.startAreaCode = startAreaCode;
    }

    /**
     * 起点区域描述
     * @return value
     */
    public String getStartAreaDesc() {
        return startAreaDesc;
    }

    /**
     * 起点区域描述
     * @param startAreaDesc value
     */
    public void setStartAreaDesc(String startAreaDesc) {
        this.startAreaDesc = startAreaDesc;
    }

    /**
     * 终点区域
     * @return value
     */
    public String getEndAreaDesc() {
        return endAreaDesc;
    }

    /**
     * 终点区域
     * @param endAreaDesc value
     */
    public void setEndAreaDesc(String endAreaDesc) {
        this.endAreaDesc = endAreaDesc;
    }

    /**
     * 终点区域代码
     * @return value
     */
    public String getEndAreaCode() {
        return endAreaCode;
    }

    /**
     * 终点区域代码
     * @param endAreaCode value
     */
    public void setEndAreaCode(String endAreaCode) {
        this.endAreaCode = endAreaCode;
    }

    /**
     * 起运启时间
     * @return value
     */
    public String getTransportStartTime() {
        return transportStartTime;
    }

    /**
     * 起运启时间
     * @param transportStartTime value
     */
    public void setTransportStartTime(String transportStartTime) {
        this.transportStartTime = transportStartTime;
    }

    /**
     * 起运至时间
     * @return value
     */
    public String getTransportEndTime() {
        return transportEndTime;
    }

    /**
     * 起运至时间
     * @param transportEndTime value
     */
    public void setTransportEndTime(String transportEndTime) {
        this.transportEndTime = transportEndTime;
    }

    /**
     * 车辆用途(生产用车/临时用车)A01031
     * @return value
     */
    public String getCarUseCode() {
        return carUseCode;
    }

    /**
     * 车辆用途(生产用车/临时用车)A01031
     * @param carUseCode value
     */
    public void setCarUseCode(String carUseCode) {
        this.carUseCode = carUseCode;
    }

    /**
     * 车辆用途
     * @return value
     */
    public String getCarUseDesc() {
        return carUseDesc;
    }

    /**
     * 车辆用途
     * @param carUseDesc value
     */
    public void setCarUseDesc(String carUseDesc) {
        this.carUseDesc = carUseDesc;
    }

    /**
     * 车型代码(拖车、挂车、吊车)A01017
     * @return value
     */
    public String getCarTypeCode() {
        return carTypeCode;
    }

    /**
     * 车型代码(拖车、挂车、吊车)A01017
     * @param carTypeCode value
     */
    public void setCarTypeCode(String carTypeCode) {
        this.carTypeCode = carTypeCode;
    }

    /**
     * 车型
     * @return value
     */
    public String getCarTypeDesc() {
        return carTypeDesc;
    }

    /**
     * 车型
     * @param carTypeDesc value
     */
    public void setCarTypeDesc(String carTypeDesc) {
        this.carTypeDesc = carTypeDesc;
    }

    /**
     * 承运人代码
     * @return value
     */
    public String getCarrierCode() {
        return carrierCode;
    }

    /**
     * 承运人代码
     * @param carrierCode value
     */
    public void setCarrierCode(String carrierCode) {
        this.carrierCode = carrierCode;
    }

    /**
     * 承运人名称
     * @return value
     */
    public String getCarrierName() {
        return carrierName;
    }

    /**
     * 承运人名称
     * @param carrierName value
     */
    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getCarLicense() {
        return carLicense;
    }

    /**
     * 车牌号
     * @param carLicense value
     */
    public void setCarLicense(String carLicense) {
        this.carLicense = carLicense;
    }

    /**
     * 车辆分派时间
     * @return value
     */
    public String getCarAssignTime() {
        return carAssignTime;
    }

    /**
     * 车辆分派时间
     * @param carAssignTime value
     */
    public void setCarAssignTime(String carAssignTime) {
        this.carAssignTime = carAssignTime;
    }

    /**
     * 司机代码
     * @return value
     */
    public String getDriverCode() {
        return driverCode;
    }

    /**
     * 司机代码
     * @param driverCode value
     */
    public void setDriverCode(String driverCode) {
        this.driverCode = driverCode;
    }

    /**
     * 司机接单时间
     * @return value
     */
    public String getReceivingTime() {
        return receivingTime;
    }

    /**
     * 司机接单时间
     * @param receivingTime value
     */
    public void setReceivingTime(String receivingTime) {
        this.receivingTime = receivingTime;
    }

    /**
     * 是否过磅(0否/1是)
     * @return value
     */
    public String getWeighingIf() {
        return weighingIf;
    }

    /**
     * 是否过磅(0否/1是)
     * @param weighingIf value
     */
    public void setWeighingIf(String weighingIf) {
        this.weighingIf = weighingIf;
    }

    /**
     * 数据来源标记(0人工1系统)
     * @return value
     */
    public String getSourceSign() {
        return sourceSign;
    }

    /**
     * 数据来源标记(0人工1系统)
     * @param sourceSign value
     */
    public void setSourceSign(String sourceSign) {
        this.sourceSign = sourceSign;
    }

    /**
     * 数据状态(00无效10待调度20待运输30运输中40已结束50关闭)--运输计划生成10/车辆指派时20/司机接单30同时生成运单/所有计划执行完毕40/人工关闭50
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 数据状态(00无效10待调度20待运输30运输中40已结束50关闭)--运输计划生成10/车辆指派时20/司机接单30同时生成运单/所有计划执行完毕40/人工关闭50
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 审批状态(00待审10审中20通过30退回40拒绝)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 审批状态(00待审10审中20通过30退回40拒绝)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 会计年月(YYYYMM)
     * @return value
     */
    public String getAccountYearMonth() {
        return accountYearMonth;
    }

    /**
     * 会计年月(YYYYMM)
     * @param accountYearMonth value
     */
    public void setAccountYearMonth(String accountYearMonth) {
        this.accountYearMonth = accountYearMonth;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @return value
     */
    public String getArchiveNo() {
        return archiveNo;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @param archiveNo value
     */
    public void setArchiveNo(String archiveNo) {
        this.archiveNo = archiveNo;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @return value
     */
    public String getArchiveDate() {
        return archiveDate;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @param archiveDate value
     */
    public void setArchiveDate(String archiveDate) {
        this.archiveDate = archiveDate;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 计费数量
     * @return value
     */
    public String getCostCount() {
        return costCount;
    }

    /**
     * 计费数量
     * @param costCount value
     */
    public void setCostCount(String costCount) {
        this.costCount = costCount;
    }




    private String plnQtyVal;

    private String plnWtVal;

    private String waybilQty;

    private String waybilWt;

    public String getPlnQtyVal() {
        return plnQtyVal;
    }

    public void setPlnQtyVal(String plnQtyVal) {
        this.plnQtyVal = plnQtyVal;
    }

    public String getPlnWtVal() {
        return plnWtVal;
    }

    public void setPlnWtVal(String plnWtVal) {
        this.plnWtVal = plnWtVal;
    }

    public String getWaybilQty() {
        return waybilQty;
    }

    public void setWaybilQty(String waybilQty) {
        this.waybilQty = waybilQty;
    }

    public String getWaybilWt() {
        return waybilWt;
    }

    public void setWaybilWt(String waybilWt) {
        this.waybilWt = waybilWt;
    }

    public String getWaybilCount() {
        return waybilCount;
    }

    public void setWaybilCount(String waybilCount) {
        this.waybilCount = waybilCount;
    }

    public String getWaybilCompleteCount() {
        return waybilCompleteCount;
    }

    public void setWaybilCompleteCount(String waybilCompleteCount) {
        this.waybilCompleteCount = waybilCompleteCount;
    }

    private String waybilCount;

    private String waybilCompleteCount;

}